Have you tried ML.NET?
It's a new machine learning framework made specifically for .NET developers.

ASP.NET Core 2.1 and ASP.NET 5.2.7 Supported Packages

The package lists below represents the supported ASP packages when using ASP.NET Core 2.1 on .NET Framework. The list represents the released versions at the time of posting. However, in all cases, the latest released version must be used to be in a supported configuration. For example, dotnet-ef.2.1.0.nupkg is listed but in the future, 2.1.1 may be released. At that time, 2.1.1 will become the minimum supported version of the package.

ASP.NET Core 2.1

ASP .NET 5.2.7

Ready to Get Started?

Our step-by-step tutorial will help you get .NET running on your computer.

Supported on Windows, Linux, and macOS

Get Started